> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Get All

> Retrieve user data for all user profiles as a pre-signed URL file, instead of calling the /user endpoint for each user and risking rate-limits.

Retrieve the user data for all user profiles. Use the batch endpoint as an alternative to calling the /user endpoint for each of your users in rapid succession, which may be restricted by rate-limits.

The endpoint will return a pre-signed URL for the file containing all the user profile data. Please note the `urlAvailable` field time for when the file will be accessible.

The pre-signed URL will expire in 7 days after creation. A new file may be generated every 3 minutes.

You may also be notified when the file is ready via the [Batch Action webhook](https://www.ayrshare.com/docs/apis/webhooks/actions.md#batch-action).

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`

```json 200: Success theme={"system"}
{
    "success": true,
    "url": "https://storage.googleapis.com/batch.ayrshare.com/users/9iskiedwtOddd/users-batch-2024-01-11-22-42.json",
    "urlAvailable": "2024-01-11T22:47:36Z",
    "urlExpires": "2024-01-18T22:42:36Z",
    "lastUpdated": "2024-01-11T22:42:36.808Z",
    "nextUpdate": "2024-01-11T22:45:36.808Z"
}
```

```json 403: Forbidden theme={"system"}
{
  "action": "authorization",
  "status": "error",
  "code": 102,
  "message": "API Key not valid. Please be sure to send a Header Authorization containing 'Bearer API_KEY'. .../ayrshare.com/rest-api/overview#authorization"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.